.card {
  position: absolute;
  top: 50%;
  left: 50%;
  height: 100%;
  width: 100%;
  transform: translate(-50%, -50%);
  transform-style: preserve-3d;
  perspective: 600px;
  transition: 0.5s;
}
.card:hover .card-front {
  transform: rotateX(-180deg);
}
.card:hover .card-back {
  transform: rotateX(0deg);
}

.card-front {
  height: 100%;
  width: 100%;
  /* Requires background-image */
  background-position: 50% 50%;
  background-size: cover;
  position: absolute;
  top: 0;
  left: 0;
  background-color: #fff;
  backface-visibility: hidden;
  transform: rotateX(0deg);
  transition: 0.5s;
  border-radius: 20px;
  overflow: hidden;
}

.card-back {
  height: 100%;
  width: 100%;
  position: absolute;
  top: 0;
  left: 0;
  background-color: #CEA675;
  backface-visibility: hidden;
  transform: rotateX(180deg);
  transition: 0.5s;
  color: #000;
  text-align: center;
  border-radius: 20px;
  overflow: hidden;
}

.card-back h2 {
  margin: 35% 5% 50% 5%;
  font-size: 18px;
}

.card-back h2 span {
  font-size: 16px;
}

.card-back a:hover {
  color: #000;
  background-color: #CEA675;
}